clear all
close all
clc

% Vector de cantidad de subintervalos
N = (10:10:100)';

% Largo de vector N
n = length(N);

error = zeros(n, 1);

for i = 1:n
    % El valor real de la integral es 1 - exp(-1)
    error(i) = abs(trap(@(x) exp(-x), 0, 1, N(i)) - 1 + exp(-1)); 
end

% En este caso a = 0, b = 1, por tanto h = 1/N;
loglog(N, error, 'r', N, 1./N.^2, 'b')
xlabel('N')
legend('Error', '1/N^2')

% Se observa que las rectas (en escala logaritmica) son paralelas, ello
% refleja que el error esta asociado a h^2.

