clear all
close all
clc

clear all
close all
clc

% Vector de cantidad de subintervalos
N = (10:10:100)';

% Largo de vector N
n = length(N);

error = zeros(n, 1);

for i = 1:n
    % El valor real de la integral es 1 - exp(-1)
    error(i) = abs(trap(@(x) sqrt(x), 0, 1, N(i)) - 2/3); 
end

% En este caso a = 0, b = 1, por tanto h = 1/N;
figure
loglog(N, error, 'r', N, 1./N.^2, 'b')
xlabel('N')
legend('Error', '1/N^2')

% Se observa que las rectas (en escala logaritmica) no son paralelas, por
% tanto O(h^2) no es cierto.

% Ajuste por minimos cuadrados
A = [ones(n, 1), log(1./N)];
b = log(error);

x = A\b;

alfa = x(2);

figure
loglog(N, error, 'r', N, 1./N.^alfa, 'b')
xlabel('N')
legend('Error', '1/N^a')

